# CLI and Text-based interface for ADA


## Install via npm
``` bash
$ npm install -g ada-cli
$ ada
```

## Install via git for developing

``` bash
git clone ssh://git@stash.medx.net:7999/c3/cli.git && cd cli/
npm install
npm start
```

If no `config.json` is present in the root folder, the cli will ask for your credentials and automatically create the configuration file.

## Use as Textbot

To run ADA as SMS bot, add the following to the enviroment section of your `config.json`:
``` json
"twilio": {
  "accountSid": "",
  "authToken": "",
  "from": "+49XXXXXXX"
},
"server": {
  "port": 6000
},
```
![Ada SMS bot](./sms.png)
